Subject: Re: Compiling Sendmail With Cygwin?
From: Steve Jorgensen <[email-masked]>
To: Jason Bucata <[email-masked]>
Cc: [email-masked]
Date: Fri, 29 Oct 1999 09:28:39 -0600 (MDT)

> I've received a few responses, including two copies of a patch that'll allow
> Sendmail 8.9.3 to compile.  So I guess the answer is "Go try it" :).

> My next concern is performance/efficiency.  How much of a performance hit
> does the Cygwin "subsystem" take on Sendmail?  What about the fact that
> Sendmail uses processes instead of threads (which most NT-based systems I've
> seen prefer)?  Etc., etc.

> If anyone has any actual experience, or even just some thoughts, in this
> regard, please share.

	I don't have any experience with sendmail on cygwin, but I'm
	in the processing of porting Khoros Pro 2001 (A visual
	programming and software development environment with lots
	of dataprocessing/visualization routines) to cygwin.

	My experience is that while cygwin is noticably slower than the
	same code running on a linux box, it is not an extreme performance
	hit.  It's certainly fast enough for our X applications to stay
	responsive enough.  So, unless you're mail server will be
	handling a ton of email at a time, I'd guess cygwin will be
	able to handle it.

						Steve

-----------------------------------------------------------
Steven Jorgensen      [email-masked]	    [email-masked]
------------------------------+----------------------------
Khoral Research Inc.          | PHONE: (505) 837-6500
6200 Uptown Blvd, Suite 200   | FAX:   (505) 881-3842
Albuquerque, NM 87110         | URL: http://www.khoral.com/
-----------------------------------------------------------

--
Want to unsubscribe from this list?
Send a message to [email-masked]